Скрипт предназначен для создания рамок вокруг абзацев определенного стиля.
Работает с CS2.

ВОЗМОЖНОСТИ
1. Создание рамок любой конфигурации, с любым типом, цветом и размером линий, с любой заливкой.
2. Сохранение настроек рамки в файл. Восстановление настроек из файла.
3. Удаление ранее созданных рамок.
4. Повышенная в разы скорость работы.

РАБОТА СО СКРИПТОМ
В первую очередь необходимо создать хотя бы один файл настроек рамки. Для этого нужно:
1. Сконвертировать абзац в таблицу (Table -> Convert Text to Table).
2. Удалить все ячейки таблицы, короме самой первой (если их больше, чем одна).
3. Оформить эту ячейку так, как должна выглядеть рамка обзаца. Для этого в Table -> Cell Options нужно настроить Insets и Fill. В окне Stroke выберите настройки для каждой линии.
Затем можно присупать к работе:
4. Оставьте курсор в таблице и запустите скрипт.
5. Скрипт определяет, выделена ли таблица. Если выделена, то предлагается сохранить оформаление таблицы как файл настроек. Нажмите "Да".
6. Выберите имя для файла настроек. Путь можно не выбирать - все равно файл сохранится в папку со скриптом (поэтому при перемещении файла скрипта нужно переместить и файлы настроек).
7. Выберите текст, где нужно создать рамки. Запустите скрипт заново.
8. Выберите стиль абзаца.
9. Выберите файл настроек.
10. Выберите отступы до и после таблицы.
11. Нажмите Ок.
Если что-то не понравилось:
12. Если нужно удалить рамки вокруг абзацев, сделанные скриптом ранее, выберите стиль абзаца и включите опцию "Удалить обводку у стиля". Все рамки, у которых текст отформатирован выбранным стилем, будут сконвертированы в текст.

INI-ПЕРЕМЕННЫЕ
var iniSpaceBefore = "5"; - Space Before по умолчанию
var iniSpaceAfter = "5"; - Space After по умолчанию
var iniInteration = 15; - количество повторений по умолчанию
var iniSaveDocumentOnInteration = false; - сохранять документ после нескольких (iniInteration) повторений
var iniSaveDocumentOnEnd = false; - сохранять документ после по окончании работы
var iniLangFile = "megaBorder.ru.slang"; - имя языкового модуля.

СОВЕТ
Скрипт может достаточно долго работать с большими документами. Можно попробовать включить опцию "сохранять документ" в ini-файле после создания определенного количества рамок. При сохранении очищается список Undo, что, в принципе, увеличивает скорость работы.

Олег Бутрин (wp.me/p0Xz)